MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027090Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2016-01-19 18:252017-08-17 15:15
Reportermsv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.1.0 
Summary0027090: Point is classified IN solid but actually it is OUT
DescriptionThe attached picture shows the solid and the point. The point is obviously located OUT of solid. But the command bclassify tell that it is IN.

This bug is hardly reproducible. It appeared with the fix to the bug 0026738 as a regression on the test boolean volumemaker C9. However if we save/restore the solid the bug magically disappears. Therefore I provide the full procedure of solid creation in steps to reproduce.

Again, it is reproducible only with the fix for 0026738.
Steps To Reproduce# The matter is wrong classification of point in solid.
# However if we save/restore the solid the bug magically disappears.
# Therefore here we provide the procedure of solid creation
# (from test boolean volumemaker C9)

# planar face
plane pln_f1 0 -875 -1.4432899320127035e-014 0 1 1.1102230246251565e-016
erase pln_f1
mkface f1 pln_f1 -1000000 1000000 -1000000 1000000

# planar face
plane pln_f2 1084.71007164 -980 -2128.6796868400002 1.110223024625157e-016 -1 1.1102230246251563e-016
erase pln_f2
mkface f2 pln_f2 -1000000 1000000 -1000000 1000000

# planar face
plane pln_f3 -308.43155740558768 -800 -2407.1041518310276 0.80901699437494767 9.2444637330587307e-033 -0.5877852522924728
erase pln_f3
mkface f3 pln_f3 -1000000 1000000 -1000000 1000000

# planar face
plane pln_f4 -381.4805392043022 -800 -2409.117597419774 -0.15639998811787861 -1.5422229525403152e-032 -0.98769380058635958
erase pln_f4
mkface f4 pln_f4 -1000000 1000000 -1000000 1000000

# cylindrical face
cylinder cyl_f5 0 0 -1.0103029524088925e-013 0 1 1.1102230246251565e-016 2440
erase cyl_f5
mkface f5 cyl_f5 0 6.2831853071795862 -1000000 1000000

# planar face
plane pln_f6 -309.45754782652125 -800 -2369.8806246344966 0.98769380058635958 -4.4408920985006262e-016 -0.15639998811787881
erase pln_f6
mkface f6 pln_f6 -1000000 1000000 -1000000 1000000

# planar face
plane pln_f7 -330.11602392243287 -800 -2299.7847255135234 -0.58778525229247269 -1.6653345369377348e-016 -0.80901699437494767
erase pln_f7
mkface f7 pln_f7 -1000000 1000000 -1000000 1000000

# cylindrical face
cylinder cyl_f8 0 0 -2.0206059048177849e-013 0 -1 1.1102230246251565e-016 2340
erase cyl_f8
mkface f8 cyl_f8 0 6.2831853071795862 -1000000 1000000

# make volume operation
mkvolume v f1 f2 f3 f4 f5 f6 f7 f8

explode v

if {[llength [explode v_6]] > 1} {

  # We expect that v_6 is invalid solid containing 2 shells,
  # and use the first shell to create a new valid solid.

  shape solid so
  add v_6_1 solid
  point p -131.81074615766306 -874.99999999999977 -2443.8619433375443
  don solid p
  
  set output [bclassify solid p]
  
  regexp {The point is ([^ ]*)} $output dummy state
  if {$state != "OUT"} {
    puts "Error: point is classified as $state, but must be OUT"
  } else {
    puts "Info: point is classified OUT, it is OK"
  }
} else {
  puts "Info: test is not actual for the current version"
}
TagsNo tags attached.
Test case numberbugs modalg_7 bug27090
Attached Filespng file icon solid_n_point.PNG (18,649 bytes) 2016-01-19 18:25

- Relationships
child of 0026738closedapn Make Boolean operations safely treating arguments when running with fuzzy option 

-  Notes
(0069529)
mkv (tester)
2017-08-17 15:15

Problem described in issue is not reproduced on current state of OCCT. Fixed in OCCT7.1.0.

- Issue History
Date Modified Username Field Change
2016-01-19 18:25 msv New Issue
2016-01-19 18:25 msv Assigned To => msv
2016-01-19 18:25 msv File Added: solid_n_point.PNG
2016-01-19 18:27 msv Relationship added child of 0026738
2016-10-28 17:03 msv Target Version 7.1.0 => 7.2.0
2017-07-24 09:22 msv Target Version 7.2.0 => 7.3.0
2017-08-17 15:15 mkv Test case number => bugs modalg_7 bug27090
2017-08-17 15:15 mkv Note Added: 0069529
2017-08-17 15:15 mkv Assigned To msv => bugmaster
2017-08-17 15:15 mkv Status new => closed
2017-08-17 15:15 mkv Resolution open => fixed
2017-08-17 15:15 mkv Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker